Public Member Functions

# BinNavi.API.debug.BreakpointManager Class Reference

Used to set and remove breakpoints. More...

Inherits BinNavi::APIHelpers::ApiObject< CBreakpointManager >.

List of all members.

## Public Member Functions
void | addListener (final IBreakpointManagerListener listener)
| Adds a breakpoint manager listener.
Breakpoint | getBreakpoint (final Module module, final Address address)
| Returns a regular breakpoint from a given address.
List< Breakpoint > | getBreakpoints ()
| Returns a list of all managed breakpoints.
Breakpoint | getEchoBreakpoint (final Module module, final Address address)
| Returns an echo breakpoint from a given address.
List< Breakpoint > | getEchoBreakpoints ()
| Returns a list of all managed echo breakpoints.
boolean | hasBreakpoint (final Module module, final Address address)
| Checks for the existence of a breakpoint.
boolean | hasEchoBreakpoint (final Module module, final Address address)
| Checks for the existence of an echo breakpoint.
void | removeBreakpoint (final Module module, final Address address)
| Removes a regular breakpoint.
void | removeEchoBreakpoint (final Module module, final Address address)
| Removes an echo breakpoint.
void | removeListener (final IBreakpointManagerListener listener)
| Removes a breakpoint manager listener.
Breakpoint | setBreakpoint (final Module module, final Address address)
| Sets a regular breakpoint.
Breakpoint | setEchoBreakpoint (final Module module, final Address address)
| Sets an echo breakpoint.
String | toString ()
| Printable representation of the breakpoint manager.

## Detailed Description

Keeps track of all breakpoints set by a debugger.

## Member Function Documentation

void BinNavi.API.debug.BreakpointManager.addListener | ( | final IBreakpointManagerListener | listener | ) |

Adds an object that is notified about changes in the breakpoint manager.

Parameters:

  | listener | The listener object that is notified about changes in the breakpoint manager.

Breakpoint BinNavi.API.debug.BreakpointManager.getBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Returns the regular breakpoint at the given address.

Parameters:

  | module | The module the breakpoint belongs to. This argument can be null.
  | address | The address of the breakpoint to return.

Returns:
  The breakpoint at the given address.

List<Breakpoint> BinNavi.API.debug.BreakpointManager.getBreakpoints | ( |  | ) |

Returns a list of all managed breakpoints.

Returns:
  A list of all managed breakpoints.

Breakpoint BinNavi.API.debug.BreakpointManager.getEchoBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Returns the echo breakpoint at the given address.

Parameters:

  | module | The module the echo breakpoint belongs to.
  | address | The address of the breakpoint to return.

Returns:
  The breakpoint at the given address.

List<Breakpoint> BinNavi.API.debug.BreakpointManager.getEchoBreakpoints | ( |  | ) |

Returns a list of all managed echo breakpoints.

Returns:
  A list of all managed echo breakpoints.

boolean BinNavi.API.debug.BreakpointManager.hasBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Checks whether a regular breakpoint exists at a given address.

Parameters:

  | module | The module the breakpoint is tied to. This argument can be null.
  | address | The address to check.

Returns:
  True, if a regular breakpoint exists at the given address. False, otherwise.

boolean BinNavi.API.debug.BreakpointManager.hasEchoBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Checks whether an echo breakpoint exists at a given address.

Parameters:

  | module | The module the breakpoint is tied to. This argument can be null.
  | address | The address to check.

Returns:
  True, if an echo breakpoint exists at the given address. False, otherwise.

void BinNavi.API.debug.BreakpointManager.removeBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Removes a regular breakpoint from a given address.

Parameters:

  | module | The module the breakpoint is tied to. This argument can be null.
  | address | The address of the breakpoint.

void BinNavi.API.debug.BreakpointManager.removeEchoBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Removes an echo breakpoint from a given address.

Parameters:

  | module | The module the breakpoint is tied to. This argument can be null.
  | address | The address of the breakpoint.

void BinNavi.API.debug.BreakpointManager.removeListener | ( | final IBreakpointManagerListener | listener | ) |

Removes a listener object from the breakpoint manager.

Parameters:

  | listener | The listener object to remove from the breakpoint manager.

Breakpoint BinNavi.API.debug.BreakpointManager.setBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Sets a regular breakpoint at the given address.

Parameters:

  | module | The module the breakpoint is tied to. This argument can be null.
  | address | The address of the breakpoint.

Returns:
  The set breakpoint. Null is returned if no breakpoint was set.

Breakpoint BinNavi.API.debug.BreakpointManager.setEchoBreakpoint | ( | final Module | module,
|  | final Address | address |
| ) |  |  |

Sets an echo breakpoint at the given address.

Parameters:

  | module | The module the breakpoint is tied to. This argument can be null.
  | address | The address of the breakpoint.

Returns:
  The set breakpoint. Null is returned if no breakpoint was set.

String BinNavi.API.debug.BreakpointManager.toString | ( |  | ) |

Returns a string representation of the breakpoint manager.

Returns:
  A string representation of the breakpoint manager.